# Octominer Puppet Module

Manages [Octominer](https://octominer.com/) specific configuration.

## Features

Installs system services to provide correct interaction with the Octominer custom hardware.
Scripts that are used to control the Octominer hardware are installed to /opt/octominer.

### octo-ping.bash

Periodically pings the watchdog hardware to ensure the computer does not reboot.

### octo-fan.bash

A command line tool for managing the case fans.

### octo-status.bash

A command line tool that prints out the status from the Octominer hardware.

### octo-lcd.bash

A command line tool for setting and updating the LCD text.

Here is a screenshot of the LCD after an update.

# ![LCD Screenshot](https://bitbucket.org/monkygames/puppet-octominer/downloads/lcd.png)

## API

See REFERENCE.md

## Tips

* Bitcoin: [bc1qvuf05a6fvsezn5449snnnqud2ul3eu0n50jue2](bitcoin:BC1QVUF05A6FVSEZN5449SNNNQUD2UL3EU0N50JUE2?label=MonkyGames%20Donation)
* Ethereum: [0xDE5520EDa276F910206A98d2b9A70431CeC8AB5F](https://etherscan.io/address/0xDE5520EDa276F910206A98d2b9A70431CeC8AB5F)
